Bug 189399 - [ENH] avahi-python files in separate RPM
[ENH] avahi-python files in separate RPM
Status: CLOSED DUPLICATE of bug 1260432
Product: Fedora
Classification: Fedora
Component: avahi (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lennart Poettering
: EasyFix, FutureFeature, Reopened
Depends On:
Blocks: 1267197
  Show dependency treegraph
 
Reported: 2006-04-19 14:36 EDT by Dan Williams
Modified: 2015-09-29 05:56 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-17 13:08:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Williams 2006-04-19 14:36:17 EDT
The avahi python stuff isn't distributed, from the looks of it.  However, this
should be really, really easy:

cp avahi-python/__init__.py -> /usr/lib/python2.4/site-packages/avahi/
Comment 1 Dan Williams 2006-04-20 10:59:25 EDT
Right, so it's in avahi-tools package already, but perhaps it should be an
'avahi-python' RPM instead?
Comment 2 Jason Vas Dias 2006-04-20 18:14:11 EDT
The avahi-python modules seem to be really developed purely as a library for 
use by the avahi-tools, most of which are python scripts. 

I'm not sure it really makes sense to distribute the avahi-python modules
in a separate RPM, as if they were intended to be a general purpose python
API to avahi services, beyond providing limited services to the tools -
there is no documentation for them for a start.

Unless there is a really good reason why we need the avahi-python modules
in a separate RPM, I think they should remain part of avahi-tools - is there ? 
Comment 3 Jason Vas Dias 2006-06-14 17:24:02 EDT
I can't see a good reason to ship these python scripts separately to avahi-tools -
if you disagree, please re-open and provide a reason - closing out.
Comment 4 Kamil Páral 2012-05-24 17:55:41 EDT
Reopening, I have a good reason. There are some programs out there which make use of avahi python files. One good example is Gajim (packaged as gajim). If I want to install gajim, it currently requires avahi-ui-tools, i.e. I end up with three extra icons in my system menu (Avahi SSH Server/VNC Server/Zeroconf Browser). I don't really want those tools to be there, I don't use them and they just clutter my application menu.

If you look at Debian, they have also separated python files from UI tools:
http://packages.debian.org/sid/i386/avahi-ui-utils/filelist
http://packages.debian.org/sid/i386/python-avahi/filelist

Please create python-avahi in Fedora as well, so that applications don't have to pull UI tools needlessly.
Comment 5 Bastien Nocera 2012-07-06 12:01:02 EDT
Totem's airplay plugin have requirements on avahi's Python bindings too.
Comment 6 Stijn Hoop 2012-07-18 15:22:02 EDT
I wanted to use http://www.avahi.org/wiki/Examples/PythonPublishAlias but it failed to 'import avahi', which led me to this bug. Please package the python bindings separately.
Comment 7 Fedora End Of Life 2013-04-03 15:54:10 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 8 Frank Murphy 2013-04-30 04:59:04 EDT
Not urgent but it would improve testing of:
http://james.fedorapeople.org/yum/avahi/
Comment 9 Erik Logtenberg 2013-07-29 09:32:47 EDT
Mandos also requires the avahi python binding. There is no official Mandos package for Fedora yet but I am trying to contribute one.
Requireing avahi-ui-tools is currently the only way to get it to work, and that pulls in quite a list of other packages:

Installing:
 avahi-ui-tools
Installing for dependencies:
 at-spi2-atk
 at-spi2-core
 avahi-glib
 avahi-ui-gtk3
 cairo-gobject
 colord-libs
 fltk
 gtk3
 libXevie
 libglade2
 libgusb
 pycairo
 pygtk2
 pygtk2-libglade
 tigervnc
 tigervnc-icons
 tigervnc-license
Comment 10 Kamil Páral 2013-07-30 07:54:53 EDT
The assignee seems to no longer exist, for some reason the field wasn't reset. Trying to do that now.
Comment 11 Florent Le Coz 2015-09-17 13:07:55 EDT
This is fixed with avahi 0.6.31-36. A python-avahi and python3-avahi packages are provided.
Comment 12 Florent Le Coz 2015-09-17 13:08:49 EDT

*** This bug has been marked as a duplicate of bug 1260432 ***

Note You need to log in before you can comment on or make changes to this bug.